Loading...
Searching...
No Matches
robottestingframework::plugin::PluginLoader Class Referenceabstract

The PluginLoader is an abstract class for loading a test case plug-in and gives the direct access to the TestCase. More...

`#include <robottestingframework/PluginLoader.h>`

Inheritance diagram for robottestingframework::plugin::PluginLoader:
[legend]

## Public Member Functions

| PluginLoader ()=default
| PluginLoader constructor.
virtual | ~PluginLoader ()=default
| PluginLoader destructor.
virtual TestCase * | open (const std::string filename)=0
| open Loads a test case plugin
virtual void | close ()=0
| close Unloads the plugin and deletes any allocated memory.
virtual std::string | getLastError ()=0
| getLastError gets the last error if any.

## Detailed Description

The PluginLoader is an abstract class for loading a test case plug-in and gives the direct access to the TestCase.

The PluginLoader class needs to be implemented by a plugin-specific loader.

Definition at line 36 of file PluginLoader.h.

## Constructor & Destructor Documentation

## PluginLoader()

robottestingframework::plugin::PluginLoader::PluginLoader | ( |  | ) |

default

PluginLoader constructor.

## ~PluginLoader()

virtual robottestingframework::plugin::PluginLoader::~PluginLoader | ( |  | ) |

virtual default

PluginLoader destructor.

## Member Function Documentation

## close()

virtual void robottestingframework::plugin::PluginLoader::close | ( |  | ) |

pure virtual

close Unloads the plugin and deletes any allocated memory.

Implemented in robottestingframework::plugin::DllPluginLoader, robottestingframework::plugin::LuaPluginLoader, robottestingframework::plugin::PythonPluginLoader, and robottestingframework::plugin::RubyPluginLoader.

## getLastError()

virtual std::string robottestingframework::plugin::PluginLoader::getLastError | ( |  | ) |

pure virtual

getLastError gets the last error if any.

Returns
  returns the last error string.

Implemented in robottestingframework::plugin::DllPluginLoader, robottestingframework::plugin::LuaPluginLoader, robottestingframework::plugin::PythonPluginLoader, and robottestingframework::plugin::RubyPluginLoader.

## open()

virtual TestCase * robottestingframework::plugin::PluginLoader::open | ( | const std::string | filename | ) |

pure virtual

open Loads a test case plugin

Parameters

  filename | the plugin filename

Returns
  A pointer to the test case loaded from the plugin or a null pointer in case of failure.

Implemented in robottestingframework::plugin::DllPluginLoader, robottestingframework::plugin::LuaPluginLoader, robottestingframework::plugin::PythonPluginLoader, and robottestingframework::plugin::RubyPluginLoader.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/PluginLoader.h